Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class TitlebarPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.TitlebarPresentationContext

All Implemented Interfaces:
  Serializable

public class TitlebarPresentationContext
extends PresentationContext

Used to provide access to presentation-related attributes specific to the `Titlebar` in use. Typically used during portal rendering via look and feel skeleton files (e.g. titlebar.jsp).

See Also:
  `getTitlebarPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`static String` | `CLASS_NAME`

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`String` | `getIconUrl()` The iconUrl attribute represents the content URI to the icon image for this particular `Titlebar` portal component.
`static TitlebarPresentationContext` | `getTitlebarPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `TitlebarPresentationContext` for a given `Titlebar`.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final String CLASS_NAME

Method Detail

### getIconUrl

    public String getIconUrl()

  The iconUrl attribute represents the content URI to the icon image for this particular `Titlebar` portal component.

  Returns:
    the value of the iconUrl attribute for this `Titlebar` portal component, if any

### getTitlebarPresentationContext

    public static TitlebarPresentationContext getTitlebarPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `TitlebarPresentationContext` for a given `Titlebar`. Note this method will only work if called from within a portal (e.g. titlebar.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current TitlebarPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved